Bug 164226

Summary: LayoutTest media/modern-media-controls/volume-support/volume-support-drag.html is a flaky failure
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Antoine Quint <graouts>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, graouts, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 164784    
Attachments:
Description Flags
Patch none

Description Ryan Haddad 2016-10-31 09:44:11 PDT
LayoutTest media/modern-media-controls/volume-support/volume-support-drag.html is a flaky failure

https://build.webkit.org/builders/Apple%20Yosemite%20Release%20WK1%20(Tests)/builds/19417

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=media%2Fmodern-media-controls%2Fvolume-support%2Fvolume-support-drag.html

--- /Volumes/Data/slave/yosemite-release-tests-wk1/build/layout-test-results/media/modern-media-controls/volume-support/volume-support-drag-expected.txt
+++ /Volumes/Data/slave/yosemite-release-tests-wk1/build/layout-test-results/media/modern-media-controls/volume-support/volume-support-drag-actual.txt
@@ -10,8 +10,8 @@
 PASS media.muted is true
 
 We initiated a volume slider drag, the media should no longer be muted and the volume set
-PASS media.muted is false
-PASS media.volume is 0.51
+FAIL media.muted should be false. Was true.
+FAIL media.volume should be 0.51. Was 1.
 
 We finished dragging to set the volume to 1
 PASS media.volume is 1
Comment 1 Ryan Haddad 2016-10-31 15:28:34 PDT
Marked as flaky in http://trac.webkit.org/projects/webkit/changeset/208183
Comment 2 Antoine Quint 2017-02-07 04:51:34 PST
Hasn't been flaky in over 7 days.
Comment 3 Ryan Haddad 2017-02-10 13:36:38 PST
Still flaky on Sierra Debug WK2
Comment 4 Radar WebKit Bug Importer 2017-03-02 11:06:19 PST
<rdar://problem/30811901>
Comment 5 Antoine Quint 2017-03-02 14:47:39 PST
Created attachment 303247 [details]
Patch
Comment 6 WebKit Commit Bot 2017-03-02 15:52:44 PST
Comment on attachment 303247 [details]
Patch

Clearing flags on attachment: 303247

Committed r213317: <http://trac.webkit.org/changeset/213317>
Comment 7 WebKit Commit Bot 2017-03-02 15:52:49 PST
All reviewed patches have been landed.  Closing bug.